/*****************************************************************************
 *  File: app_selector.h
 * 
 *  This file contains the constants, structure definitions, and funtion
 *  prototypes for the application selector.
 *
 ****************************************************************************/

#ifndef APP_SELECTOR_H_
#define APP_SELECTOR_H_

#include "alt_video_display.h"
#include "alt_tpo_lcd.h"


#define ALT_VIDEO_DISPLAY_COLS 800
#define ALT_VIDEO_DISPLAY_ROWS 480
#define ALT_VIDEO_DISPLAY_COLOR_DEPTH 32
#define ALT_VIDEO_DISPLAY_SGDMA_NAME LCD_SGDMA_NAME

// Flash memory map
// =====================================================
// Offset                Contents
// =====================================================
// 0x000000 - 0x007FFF   Application Boot Code
// 0x008000 - 0x00FFFF   HW Image Catalog
// 0x010000 - 0x01FFFF   Unused
// 0x020000 - 0x0FFFFF   Selector HW Image
// 0x100000 - 0x23FFFF   Selector SW Image
// 0x240000 - 0x63FFFF   Application SW
// 0x640000 - 0xDBFFFF   Application HW Images (10)
// 0xDC0000 - 0xFFFFFF   Unused


#define AS_SW_IMAGE_OFFSET              0x240000

int AsInitTpoLcd( alt_tpo_lcd* lcd_serial );

#endif /*APP_SELECTOR_H_*/
